﻿/// <reference path="jquery-1.3.2.js" />
var GloabParams = new Object();
var g_MenuCreated = 0;
var g_UserType = 0;
var g_FirstTime = 0;
var g_SaveCall = 0;

function getColumnSrcIndexByName (columnName) {
    var cm = $("#EvaList")[0].p.colNames,
        i = 0, index = 0, l = cm.length;
    while (i < l) {
        if (cm[i] == columnName) {
            return index;
        } else if (cm[i] !== 'rn' && cm[i] !== 'cb' && cm[i] !== 'subgrid') {
            index++;
        }
        i++;
    }
    return -1;
}


function successFunction(jsondata) {
    $("#blocker").show();
    var thegrid = $("#EvaList")[0];
    thegrid.addJSONData(JSON.parse(jsondata.d));
    $("#blocker").hide();
}

function ErrorFunction(result) { //alert(result.statusText);
    $("#blocker").show();
    alert("No Record Found");
    $("#blocker").hide();
}


function getImage(cell, options, row) {
    var rowdata = "";
    if (parseInt(cell) == 0) {
        rowdata = rowdata + '<img src="./Images/publish.png" onclick="return PublishSurvey(' + row[0] + ');"/>&nbsp;&nbsp;&nbsp;<img src="./Images/editIcon.png" onclick="return EditSurvey(' + row[0] + ');"/>&nbsp;&nbsp;&nbsp;<img src="./Images/delete.gif" onclick="return DelSurvey(' + row[0] + ');"/>';
    }
    else if (parseInt(cell) == 1) {
            rowdata = rowdata + '<img src="./Images/disablepublish.png"/>';
    }
    return (rowdata);
}

function dataBindToGrid() {
    $("#EvaList").jqGrid(
        {
            datatype: function (pdata) { GetEvalList(pdata); },
            colNames: ['ID', 'Status', 'CallIDIDX', 'Agent', 'Group', 'Ext.', 'ExtNameIDX', 'CallTime', 'Duration', 'AudioFileNameIDX', 'VideoFileNameIDX', 'StartDayIDX', 'StartTimeIDX', 'RecorderIPIDX', 'PlayServerPortIDX', 'Recorder Name', 'Eval. ID', 'EVALUATORIDX', 'Evaluator', 'Eval. Started', 'Completed On', 'IsSharedIDX','SURVEYIDX', 'QA Form Name', 'Questions', 'Score', '% Score', 'QANSWERCOUNTIDX', 'OSCORECOUNTIDX'],
            colModel: [{ name: 'idx', index: 'idx', width: 40, align: 'center', key: true, hidden: true },
                { name: 'Status', index: 'Status', width: 40, align: 'center', hidden: false },
                { name: 'CallIDIDX', index: 'CallIDIDX', width: 300, align: 'left', hidden: true },
                { name: 'UserNameIDX', index: 'UserNameIDX', width: 80, align: 'left', hidden: false },
                { name: 'GroupNameIDX', index: 'GroupNameIDX', width: 60, align: 'left', hidden: false },
                { name: 'ExtIDX', index: 'ExtIDX', width: 40, align: 'center', hidden: true },
                { name: 'ExtNameIDX', index: 'ExtNameIDX', width: 85, align: 'center', hidden: true },
                { name: 'CallTimeIDX', index: 'CallTimeIDX', width: 120, align: 'center' },
                { name: 'CallDurationIDX', index: 'CallDurationIDX', width: 60, align: 'center' },
                { name: 'AudioFileNameIDX', index: 'AudioFileNameIDX', width: 120, align: 'center', hidden: true},
                { name: 'VideoFileNameIDX', index: 'VideoFileNameIDX', width: 120, align: 'center', hidden: true },
                { name: 'StartDayIDX', index: 'StartDayIDX', width: 120, align: 'center', hidden: true },
                { name: 'StartTimeIDX', index: 'StartTimeIDX', width: 120, align: 'center', hidden: true },
                { name: 'RecorderIPIDX', index: 'RecorderIPIDX', width: 120, align: 'center', hidden: true },
                { name: 'PlayServerPortIDX', index: 'PlayServerPortIDX', width: 120, align: 'center', hidden: true },
                { name: 'RecorderNameIDX', index: 'RecorderNameIDX', width: 120, align: 'center', hidden: true },
                { name: 'EVALUATIONIDX', index: 'EVALUATIONIDX', width: 60, align: 'center', hidden: false },
                { name: 'EVALUATORIDX', index: 'EVALUATORIDX', width: 120, align: 'center', hidden: true },
                { name: 'EVALUATORNAMEIDX', index: 'EVALUATORNAMEIDX', width: 70, align: 'center' },
                { name: 'EStartDayIDX', index: 'EStartDayIDX', width: 80, align: 'center', hidden: true},
                { name: 'EEndDayIDX', index: 'EEndDayIDX', width: 100, align: 'center' },
                { name: 'IsSharedIDX', index: 'IsSharedIDX', width: 80, align: 'center', hidden: true },
                { name: 'SURVEYIDX', index: 'SURVEYIDX', width: 120, align: 'center', hidden: true },
                { name: 'SURVEYNAMEIDX', index: 'SURVEYNAMEIDX', width: 110, align: 'left' },
                { name: 'QCOUNTIDX', index: 'QCOUNTIDX', width: 60, align: 'center' },
                { name: 'TSCORECOUNTIDX', index: 'TSCORECOUNTIDX', width: 60, align: 'center' },
                { name: 'PERCENTCOUNTIDX', index: 'PERCENTRECOUNTIDX', width: 60, align: 'center' },
                { name: 'QANSWERCOUNTIDX', index: 'QANSWERCOUNTIDX', width: 120, align: 'center', hidden: true },
                { name: 'OSCORECOUNTIDX', index: 'OSCORECOUNTIDX', width: 120, align: 'center', hidden: true }
            ],
            loadonce: false,
            paging: true,
            rowNum: $('#ctl00_MainContent_txtRowCount').val(),
            viewrecords: true,
            mtype: "POST",
            sortable: true,
            pager: '#pager',
            reloadAfterSubmit: false,
            sortname: 'IDX',
            gridview: true,
            sortorder: "asc",
            height: $("#tdGrid").height() - 61,
            width: $("#tdGrid").width(),
            shrinkToFit: false,
            multiselect: true,
            rownumbers: true,
            altRows: true,
            altclass: 'myAltRowClass',
            ondblClickRow: function (rowid) {
                EvaluateDoubleClickedCalls(rowid);
            }
        });
}

function exportExcel() {
    var mya = new Array();
    mya = $("#EvaList").getDataIDs(); // Get All IDs
    var data = $("#EvaList").getRowData(mya[0]); // Get First row to get the labels
    var colNames = new Array();
    var ii = 0;
    for (var i in data) {
        colNames[ii++] = i;
    } // capture col names
    var html = "";
    for (i = 0; i < mya.length; i++) {
        data = $("#EvaList").getRowData(mya[i]); // get each row
        for (j = 0; j < colNames.length; j++) {
            html = html + data[colNames[j]] + "\t"; // output each column as tab delimited
        }
        html = html + "\n"; // output each row with end of line

    }
    html = html + "\n"; // end of line at the end
    document.forms[0].csvBuffer.value = html;
    document.forms[0].method = 'POST';
    document.forms[0].action = 'csvExport.php'; // send it to server which will open this contents in excel file
    document.forms[0].target = '_blank';
    document.forms[0].submit();
}

function DBCLICKeVENT(id) {
    var ASPlayer = document.getElementById("ASPlayer");
    try {
        ASPlayer.ChangePlay(id);
        if (l_LoggedID != id) {
            l_LoggedID = id;
            SaveCallOperationLog(id, 1);
        }
    } catch(e) {
    }
}

function GetDurationMili(Duration) {
    return Duration.substring(0, 2) + Duration.substring(3, 5) + Duration.substring(6, 8);
}


function RefreshGrid() {
    $("#EvaList").setGridParam({ page: 1 });
    $("#EvaList").trigger("reloadGrid");
}

function OnTreeClick(evt) {
    var src = window.event != window.undefined ? window.event.srcElement : evt.target;
    var isChkBoxClick = (src.tagName.toLowerCase() == "input" && src.type == "checkbox");
    if (isChkBoxClick) {
        var parentTable = GetParentByTagName("table", src);
        var nxtSibling = parentTable.nextSibling;
        if (nxtSibling && nxtSibling.nodeType == 1)//check if nxt sibling is not null & is an element node 
        {
            if (nxtSibling.tagName.toLowerCase() == "div") //if node has children 
            {
                CheckUncheckChildren(parentTable.nextSibling, src.checked);
            }
        }
        CheckUncheckParents(src, src.checked);
    }
}

function CheckUncheckChildren(childContainer, check) {
    var childChkBoxes = childContainer.getElementsByTagName("input");
    var childChkBoxCount = childChkBoxes.length;
    for (var i = 0; i < childChkBoxCount; i++) {
        childChkBoxes[i].checked = check;
    }
}


function CheckUncheckParents(srcChild, check) {
    var parentDiv = GetParentByTagName("div", srcChild);
    var parentNodeTable = parentDiv.previousSibling;


    if (parentNodeTable) {
        var checkUncheckSwitch;
        if (check) //checkbox checked 
        {
            var isAllSiblingsChecked = AreAllSiblingsChecked(srcChild);
            if (isAllSiblingsChecked)
                checkUncheckSwitch = true;
            else
                return; //do not need to check parent if any child is not checked 
        } else //checkbox unchecked 
        {
            checkUncheckSwitch = false;
        }


        var inpElemsInParentTable = parentNodeTable.getElementsByTagName("input");
        if (inpElemsInParentTable.length > 0) {
            var parentNodeChkBox = inpElemsInParentTable[0];
            parentNodeChkBox.checked = checkUncheckSwitch;
            //do the same recursively 
            CheckUncheckParents(parentNodeChkBox, checkUncheckSwitch);
        }
    }
}


function AreAllSiblingsChecked(chkBox) {
    var parentDiv = GetParentByTagName("div", chkBox);
    var childCount = parentDiv.childNodes.length;
    for (var i = 0; i < childCount; i++) {
        if (parentDiv.childNodes[i].nodeType == 1) //check if the child node is an element node 
        {
            if (parentDiv.childNodes[i].tagName.toLowerCase() == "table") {
                var prevChkBox = parentDiv.childNodes[i].getElementsByTagName("input")[0];
                //if any of sibling nodes are not checked, return false 
                if (!prevChkBox.checked) {
                    return false;
                }
            }
        }
    }
    return true;
}


//utility function to get the container of an element by tagname 

function GetParentByTagName(parentTagName, childElementObj) {
    var parent = childElementObj.parentNode;
    while (parent.tagName.toLowerCase() != parentTagName.toLowerCase()) {
        parent = parent.parentNode;
    }
    return parent;
}

function Monirtoring() {
    $.ajax(
        {
            type: "POST",
            url: "PageFunctions.aspx/GetMonitoringSignin",
            contentType: "application/json; charset=utf-8",
            data: "{}",
            serializeGridData: function(postData) {
                return JSON.stringify(postData);
            },
            dataType: "json",
            success: MoniteringSignin,
            error: MoniteringSigninFailed
        }
    );
}
       
function ValidateNumber(e) {
    if (e.which < 46 || e.which > 59) {
        e.preventDefault();
    }
}

        
function getColumnSrcIndexByName (columnName) {
    var cm = $("#EvaList")[0].p.colNames,
        i = 0, index = 0, l = cm.length;
    while (i < l) {
        if (cm[i] == columnName) {
            return index;
        } else if (cm[i] !== 'rn' && cm[i] !== 'cb' && cm[i] !== 'subgrid') {
            index++;
        }
        i++;
    }
    return -1;
}

function UpdateTabScore(obj) {
    var totalScore = 0;
    var totalAns = 0;
    var evalid = 0;
    $(obj).each(function () {
        evalid = parseInt($(this).attr("evalID"), 10);
        $(this).find('#questionHeader').each(function () {
            switch ($(this).attr('questype')) {
                case 'radio':
                    var $radioCurrQues = $(this).next().find('input:radio:checked');
                    $radioCurrQues.each(function () {
                        totalScore += parseInt($(this).attr('optscore'));
                        totalAns += 1;
                    });
                    break;
                case 'checkbox':
                    var $chkboxCurrQues = $(this).next().find('input:checkbox:checked');
                    var flag = 0;
                    $chkboxCurrQues.each(function () {
                        var chkAttr = parseInt($(this).attr("optscore"), 10);
                        totalScore += (!isNaN(chkAttr) ? chkAttr : 0);
                        if (flag == 0) {
                            totalAns += 1;
                            flag = 1;
                        }
                    });
                    break;
                default:
                    break;
            }
            //alert(totalScore);
        });
    });
    $("#CallQEvalCountID"+evalid).html('<span style=\"font-weight:bold;\">Answered Questions:&nbsp;</span>' + totalAns );
    $("#CallEvalScoreID"+evalid).html('<span style=\"font-weight:bold;\">Obtained Score:&nbsp;</span>' + totalScore );
}

function SaveQAnswerOption() {
    return true;
}
        
function FailedSurvey(result) {
    alert(result.status + ' ' + result.statusText);
}

function ShowEvalDiv(divid) {
    var rowsCount = $("#EvalDivCount").html();
    for (var i = 1; i <= rowsCount; i++) {
        if (divid == i) {
            document.getElementById('evalTabBtn' + i).style.backgroundColor = '#A1D8F1';
            document.getElementById('evalTabBtn' + i).style.borderColor = '#A1D8F1';
            $("#EvalParentDivID" + i).show();
        } else {
            document.getElementById('evalTabBtn' + i).style.backgroundColor = '#4779C0';
            document.getElementById('evalTabBtn' + i).style.borderColor = '#4779C0';
            $("#EvalParentDivID" + i).hide();
        }
    }
}
function EvaluateCalls() {
    $("#blocker").show();
    var rows = $("#EvaList").getDataIDs();
    $("#EvaluationFormDiv").empty();
    $("#EvaluationFormDiv").append('<div style="display: none;" id="EvalDivCount"></div>');
    var headerbarItems = "";
    var rowsCount = 0;
    var divDisplay;
    for (var a = 0; a < rows.length; a++) {
        var row = $("#EvaList").getRowData(rows[a]);
        if ($('#' + row["idx"] + ' input[type=checkbox]').prop('checked')) 
        {
            rowsCount++;

            if (rowsCount == 1) {
                divDisplay = "";
                headerbarItems = headerbarItems + '<input id="evalTabBtn' + rowsCount + '" type="button" value="' + row["EVALUATIONIDX"] + '" onclick="ShowEvalDiv(' + rowsCount + ')" style="color:#FFF;margin-top:3px; margin-left:5px;background:#A1D8F1;border-color:#A1D8F1"/>';
            } else {
                divDisplay = " style=\"display:none;\"";
                headerbarItems = headerbarItems + '<input id="evalTabBtn' + rowsCount + '" type="button" value="' + row["EVALUATIONIDX"] + '" onclick="ShowEvalDiv(' + rowsCount + ')" style="color:#FFF;margin-top:3px; margin-left:5px;background:#4779C0;border-color:#4779C0"/>';
            }

            var header = '<div class="EvaluationHeader" id="EvalParentDivID' + rowsCount + '" ' + divDisplay + '>' +
                '<div class="SurveyParentDivheader">' +
                '<div class="EvalSummary">' +
                '<span><img src="./Images/call-group.png"/><br/></span><span>Call Summary</span>' +
                '</div>' +
                '<div class="EvalSummaryDetail">' +
                '<ul>' +
                '<li id="CallTimeLIId"><span style=\"font-weight:bold;\">Call Time:&nbsp;</span>' + row["CallTimeIDX"] + '</li>' +
                '<li id="CallDurationLIId"><span style=\"font-weight:bold;\">Call Duration:&nbsp;</span>' + row["CallDurationIDX"] + '</li>' +
                '<li id="CallAgentLIId"><span style=\"font-weight:bold;\">Agent:&nbsp;</span>' + row["UserNameIDX"] + '</li>' +
                '<li id="CallChannelLIId"><span style=\"font-weight:bold;\">Channel:&nbsp;</span>' + row["ExtIDX"] + '</li>' +
                '<li><span style=\"font-weight:bold;\">Play Call:&nbsp;</span><a href="#" id="PlayCallNow" rowid="'+row["idx"]+'"><img src = "./Images/play.gif" alt="Play Call"/></a></li>' +
                '</ul>' +
                '</div>' +
                '<div class="EvalSummary">' +
                '<span><img src="./Images/edit-notes.png"/><br/><span>Evaluation Summary</span>' +
                '</div>' +
                '<div class="EvalSummaryDetail">' +
                '<ul>' +
                '<li id="CallEvalationID"><span style=\"font-weight:bold;\">Evaluation ID:&nbsp;</span>' + row["EVALUATIONIDX"] + '</li>';
            var arr = row["QCOUNTIDX"].split('/');
            header = header + '<li id="CallQCountID"><span style=\"font-weight:bold;\">Total Questions:&nbsp;</span>' + arr[1] + '</li>' +
                '<li id="CallQEvalCountID' + row["EVALUATIONIDX"] + '"><span style=\"font-weight:bold;\">Answered Questions:&nbsp;</span>' + row["QANSWERCOUNTIDX"] + '</li>' +
                '<li id="CallEvalationDateID"><span style=\"font-weight:bold;\">Last Evaluated:&nbsp;</span>' + row["EEndDayIDX"] + '</li>' +
                '<li id="CallEvalScoreID' + row["EVALUATIONIDX"] + '"><span style=\"font-weight:bold;\">Obtained Score:&nbsp;</span>' + row["OSCORECOUNTIDX"] + '</li>';
            arr = row["TSCORECOUNTIDX"].split('/');
            header = header + '<li id="CallEvalTScoreID"><span style=\"font-weight:bold;\">Total Score:&nbsp;</span>' + arr[1] + '</li>' +
                '</ul>' +
                '</div>' +
                '</div>' +
                '<br class="clear"/>' +
                '<div class="surveyHeader" id="EvaluatinSurveyNameID"><span style=\"font-weight:bold;\">Evaluation Form Name:&nbsp;' + row["SURVEYNAMEIDX"] + '</span></div>'+
                '<div id="divQuestionContainer" onclick="UpdateTabScore(this);" evalID="' + row["EVALUATIONIDX"] + '" class="" style="padding: 10px;">' +
                '<div id="divQuestions" class="Surveyheader">';

            //Now Load Questions and Answers
            var params = new Object();
            params.surveyID = row["SURVEYIDX"];

            $.ajax({ type: "POST",
                async: false,
                url: "PageFunctions.aspx/GetSurveyQuestionsInfo",
                contentType: "application/json; charset=utf-8",
                data: JSON.stringify(params),  // For empty input data use "{}",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                dataType: "json",
                success: function (results) {
                    try {
                        var obj = $.parseJSON(results.d);
                        $.each(obj, function () {
                            var questiontype = "checkbox";
                            if (this["QuestionType"] == 1) {
                                questiontype = "radio";
                            }
                            header = header + '<div>' +
                                        '<div id="questionHeader" questype="' + questiontype + '" class="questionHeader" templatename="question" questionid="' + this["ID"] + '">'
                                        + this["Question"] + '   <span style="color:blue;">Scores: ' + this["QuestionRate"] + '</span>' +
                                        '</div>';

                            var qid = this["ID"];
                            //Answer div start
                            header = header + '<div class="EvalationAnsCss" id="divAnswers_' + this["ID"] + '" templatename="answer" style="padding-right: 0 20px 10px; margin: 10px 10px;">';
                            params = new Object();
                            params.questionID = qid;
                            params.evalID = row["EVALUATIONIDX"];

                            $.ajax({ type: "POST",
                                async: false,
                                url: "PageFunctions.aspx/GetOptionQuestionsAnswerInfo",
                                contentType: "application/json; charset=utf-8",
                                data: JSON.stringify(params),  // For empty input data use "{}",
                                serializeGridData: function (postData) {
                                    return JSON.stringify(postData);
                                },
                                dataType: "json",
                                success: function (results1) {
                                    try {
                                        var obj = $.parseJSON(results1.d);
                                        $.each(obj, function () {
                                            var selected = "checked = \"checked\""; //checked = "checked"
                                            var scores = '  <b style="color:blue;font-size:10px;">Scores: '+this["OptionRate"]+'</b>';
                                            if (this["optiontrue"] == 0) {
                                                selected = "";
                                                scores = "";
                                            }
                                            header = header + '<label><input type="' + questiontype + '" disabled="disabled" id="' + row["EVALUATIONIDX"] + '_' + row["SURVEYIDX"] + '_' + qid + '" name="' + row["EVALUATIONIDX"] + '_' + row["SURVEYIDX"] + '_' + qid + '" value="' + this["ID"] + '_' + qid + '" answerid="' + this["ID"] + '" quesid="' + qid + '" optscore="' + this["OptionRate"] + '" defaultvalue="False" currentvalue="False" ' + selected + '>' + this["OptionText"] + scores+'</label><br>';
                                        });
                                        header = header + '</div>';
                                    }
                                    catch (e) {
                                        alert("LoadSurvey JSON parsing Error.");
                                    }
                                },
                                error: FailedSurvey
                            });

                        });
                    } catch (e) {
                        alert("LoadSurvey JSON parsing Error.");
                    }
                },
                error: FailedSurvey
            });
            header = header + '</div>';
            header = header + '</div>';
            header = header + '</div>';
            header = header + '</div>';
            $("#EvaluationFormDiv").append(header);
        }
        if (rowsCount > 20) {
            alert("You can open only 20 evlations in evaluation popup.");
            break;
        }
    }
    if (rowsCount > 0) {
        var headerbar = $('<div class="EvalPopupBar" style="color:#FFFFFF;" id="FixedDivID">&nbsp;Evaluation ID:</div><br class="clear"/>');
        $("#EvaluationFormDiv div:first").closest('div').before(headerbar);
        $("#FixedDivID").append(headerbarItems);
        $("#EvalDivCount").html(rowsCount);
    } else {
        alert("Please select any row to start evaluations.");
        $("#blocker").hide();
        return false;
    }
    
    $("#EvaluationFormDiv").dialog({
        maxWidth: 1000,
        maxHeight: $(window).height() - 40,
        width: 1000,
        height: $(window).height() - 40,
        buttons: {
            'Close': function () { $(this).dialog("close"); }
        },
        title: 'Call Evaluation Form',
        modal: true,
        open: function () {
            $(this).parent().appendTo();
        }
    });
    $("#blocker").hide();
}

function EvaluateDoubleClickedCalls(rowid) {
    var row = $("#EvaList").getRowData(rowid);
    $("#blocker").show();
    $("#EvaluationFormDiv").empty();
    $("#EvaluationFormDiv").append('<div style="display: none;" id="EvalDivCount"></div>');
    var headerbarItems = "";
    var rowsCount = 0;
    var divDisplay;
            
    rowsCount++;

    if (rowsCount == 1) {
        divDisplay = "";
        headerbarItems = headerbarItems + '<input id="evalTabBtn' + rowsCount + '" type="button" value="' + row["EVALUATIONIDX"] + '" onclick="ShowEvalDiv(' + rowsCount + ')" style="color:#FFF;margin-top:3px; margin-left:5px;background:#A1D8F1;border-color:#A1D8F1"/>';
    } else {
        divDisplay = " style=\"display:none;\"";
        headerbarItems = headerbarItems + '<input id="evalTabBtn' + rowsCount + '" type="button" value="' + row["EVALUATIONIDX"] + '" onclick="ShowEvalDiv(' + rowsCount + ')" style="color:#FFF;margin-top:3px; margin-left:5px;background:#4779C0;border-color:#4779C0"/>';
    }

    var header = '<div class="EvaluationHeader" id="EvalParentDivID' + rowsCount + '" ' + divDisplay + '>' +
        '<div class="SurveyParentDivheader">' +
        '<div class="EvalSummary">' +
        '<span><img src="./Images/call-group.png"/><br/></span><span>Call Summary</span>' +
        '</div>' +
        '<div class="EvalSummaryDetail">' +
        '<ul>' +
        '<li id="CallTimeLIId"><span style=\"font-weight:bold;\">Call Time:&nbsp;</span>' + row["CallTimeIDX"] + '</li>' +
        '<li id="CallDurationLIId"><span style=\"font-weight:bold;\">Call Duration:&nbsp;</span>' + row["CallDurationIDX"] + '</li>' +
        '<li id="CallAgentLIId"><span style=\"font-weight:bold;\">Agent:&nbsp;</span>' + row["UserNameIDX"] + '</li>' +
        '<li id="CallChannelLIId"><span style=\"font-weight:bold;\">Channel:&nbsp;</span>' + row["ExtIDX"] + '</li>' +
        '<li><span style=\"font-weight:bold;\">Play Call:&nbsp;</span><a href="#" id="PlayCallNow" rowid="'+rowid+'"><img src = "./Images/play.gif" alt="Play Call"/></a></li>' +
        '</ul>' +
        '</div>' +
        '<div class="EvalSummary">' +
        '<span><img src="./Images/edit-notes.png"/><br/><span>Evaluation Summary</span>' +
        '</div>' +
        '<div class="EvalSummaryDetail">' +
        '<ul>' +
        '<li id="CallEvalationID"><span style=\"font-weight:bold;\">Evaluation ID:&nbsp;</span>' + row["EVALUATIONIDX"] + '</li>';
    var arr = row["QCOUNTIDX"].split('/');
    header = header + '<li id="CallQCountID"><span style=\"font-weight:bold;\">Total Questions:&nbsp;</span>' + arr[1] + '</li>' +
        '<li id="CallQEvalCountID' + row["EVALUATIONIDX"] + '"><span style=\"font-weight:bold;\">Answered Questions:&nbsp;</span>' + row["QANSWERCOUNTIDX"] + '</li>' +
        '<li id="CallEvalationDateID"><span style=\"font-weight:bold;\">Last Evaluated:&nbsp;</span>' + row["EEndDayIDX"] + '</li>' +
        '<li id="CallEvalScoreID' + row["EVALUATIONIDX"] + '"><span style=\"font-weight:bold;\">Obtained Score:&nbsp;</span>' + row["OSCORECOUNTIDX"] + '</li>';
    arr = row["TSCORECOUNTIDX"].split('/');
    header = header + '<li id="CallEvalTScoreID"><span style=\"font-weight:bold;\">Total Score:&nbsp;</span>' + arr[1] + '</li>' +
        '</ul>' +
        '</div>' +
        '</div>' +
        '<br class="clear"/>' +
        '<div class="surveyHeader" id="EvaluatinSurveyNameID"><span style=\"font-weight:bold;\">Evaluation Form Name:&nbsp;' + row["SURVEYNAMEIDX"] + '</span></div>' +
        '<div id="divQuestionContainer" onclick="UpdateTabScore(this);" evalID="' + row["EVALUATIONIDX"] + '" class="" style="padding: 10px;">' +
        '<div id="divQuestions" class="Surveyheader">';

    //Now Load Questions and Answers
    var params = new Object();
    params.surveyID = row["SURVEYIDX"];

    $.ajax({ type: "POST",
        async: false,
        url: "PageFunctions.aspx/GetSurveyQuestionsInfo",
        contentType: "application/json; charset=utf-8",
        data: JSON.stringify(params),  // For empty input data use "{}",
        serializeGridData: function (postData) {
            return JSON.stringify(postData);
        },
        dataType: "json",
        success: function (results) {
            try {
                var obj = $.parseJSON(results.d);
                $.each(obj, function () {
                    var questiontype = "checkbox";
                    if (this["QuestionType"] == 1) {
                        questiontype = "radio";
                    }
                    header = header + '<div>' +
                                '<div id="questionHeader" questype="' + questiontype + '" class="questionHeader" templatename="question" questionid="' + this["ID"] + '">'
                                + this["Question"] + '   <span style="color:blue;">Scores: ' + this["QuestionRate"] + '</span>' +
                                '</div>';

                    var qid = this["ID"];
                    //Answer div start
                    header = header + '<div class="EvalationAnsCss" id="divAnswers_' + this["ID"] + '" templatename="answer" style="padding-right: 0 20px 10px; margin: 10px 10px;">';
                    params = new Object();
                    params.questionID = qid;
                    params.evalID = row["EVALUATIONIDX"];

                    $.ajax({ type: "POST",
                        async: false,
                        url: "PageFunctions.aspx/GetOptionQuestionsAnswerInfo",
                        contentType: "application/json; charset=utf-8",
                        data: JSON.stringify(params),  // For empty input data use "{}",
                        serializeGridData: function (postData) {
                            return JSON.stringify(postData);
                        },
                        dataType: "json",
                        success: function (results1) {
                            try {
                                var obj = $.parseJSON(results1.d);
                                $.each(obj, function () {
                                    var selected = "checked = \"checked\""; //checked = "checked"
                                    var scores = '  <b style="color:blue;font-size:10px;">Scores: '+this["OptionRate"]+'</b>';
                                    if (this["optiontrue"] == 0) {
                                        selected = "";
                                        scores = "";
                                    }
                                    header = header + '<label><input type="' + questiontype + '" disabled="disabled" id="' + row["EVALUATIONIDX"] + '_' + row["SURVEYIDX"] + '_' + qid + '" name="' + row["EVALUATIONIDX"] + '_' + row["SURVEYIDX"] + '_' + qid + '" value="' + this["ID"] + '_' + qid + '" answerid="' + this["ID"] + '" quesid="' + qid + '" optscore="' + this["OptionRate"] + '" defaultvalue="False" currentvalue="False" ' + selected + '>' + this["OptionText"] + scores + '</label><br>';
                                });
                                header = header + '</div>';
                            }
                            catch (e) {
                                alert("LoadSurvey JSON parsing Error.");
                            }
                        },
                        error: FailedSurvey
                    });

                });
            } catch (e) {
                alert("LoadSurvey JSON parsing Error.");
            }
        },
        error: FailedSurvey
    });
    header = header + '</div>';
    header = header + '</div>';
    header = header + '</div>';
    header = header + '</div>';
    $("#EvaluationFormDiv").append(header);
    var headerbar = $('<div class="EvalPopupBar" style="color:#FFFFFF;" id="FixedDivID">&nbsp;Evaluation ID:</div><br class="clear"/>');
    $("#EvaluationFormDiv div:first").closest('div').before(headerbar);
    $("#FixedDivID").append(headerbarItems);
    $("#EvalDivCount").html(rowsCount);
    
    $("#EvaluationFormDiv").dialog({
        maxWidth: 1000,
        maxHeight: $(window).height() - 40,
        width: 1000,
        height: $(window).height() - 40,
        buttons: {
            'Close': function () { $(this).dialog("close"); }
        },
        title: 'Call Evaluation Form',
        modal: true,
        open: function () {
            $(this).parent().appendTo();
        }
    });
    $("#blocker").hide();
}

function CompleteEvaluation(rowid) {
    $("#blocker").show();
    var arrEvalIds = [];
    var arrRowIds = [];
    var flag = 0;
    if (rowid == -1) {
        var rows = $("#EvaList").getDataIDs();
        for (var a = 0; a < rows.length; a++) {
            var row = $("#EvaList").getRowData(rows[a]);
            if ($('#' + row["idx"] + ' input[type=checkbox]').prop('checked')) {
                var arr = row["QCOUNTIDX"].split('/');
                flag = 1;
                if (parseInt(arr[0],10) == parseInt(arr[1], 10)) {
                    arrEvalIds.push(row["EVALUATIONIDX"]);
                    arrRowIds.push(row["idx"]);
                    flag = 2;
                }
            }
        }
    } else {
        var row = $("#EvaList").getRowData(rowid);
        var arr = row["QCOUNTIDX"].split('/');
        flag = 1;
        if (parseInt(arr[0],10) == parseInt(arr[1], 10)) {
            arrEvalIds.push(row["EVALUATIONIDX"]);
            arrRowIds.push(row["idx"]);
            flag = 2;
        }
    }
    if (flag == 0) {
            alert("Please select evaluations you want to complete.");
    }
    else if (flag == 1) {
        alert("Please select evaluations that have completely awnswered.");
    } else {
        if (arrEvalIds.length > 0) {
            if (window.confirm("Are you sure to complete the selected evaluation(s)?") == true) {
                var params = new Object();
                params.EvalCallIDs = arrEvalIds;

                $.ajax({
                url: "PageFunctions.aspx/CompleteEvaluations",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        $(arrRowIds).each(function(){
                            $("#EvaList").delRowData(this);
                        });
                        $("#blocker").hide();
                        return false;
                    } else {
                        alert("Unable to complete the evaluation in databse.");
                    }
                },
                error: function (result) { alert(result.statusText); }
            });
            }
        }
    }
    
    $("#blocker").hide();
}
function ASPlayer_Clear() {
    var ASPlayer = document.getElementById("ASPlayer");
    if (!ASPlayer) {
        alert("Player is not loaded.");
        return;
    }
    try {
        ASPlayer.Stop();
        ASPlayer.ClearPlayList();
    } catch(e) {
        alert("Unknown error on clearing play list.");
        return;
    }
}

function DBCLICKeVENT(id) {
    var ASPlayer = document.getElementById("ASPlayer");
    try {
        ASPlayer.ChangePlay(id);
        if (l_LoggedID != id) {
            l_LoggedID = id;
            SaveCallOperationLog(id, 1);
        }
    } catch(e) {
    }
}

function IsAlreadyAdded(idx) {
    var ASPlayer = document.getElementById("ASPlayer");
    try {
        if (ASPlayer.IsExist(idx) == 1) return true;
        else return false;
    } catch(e) {
        return false;
    }
}

$(document).on("click", "#PlayCallNow", function(e) {
    $("#ASPlayerDivID").dialog({
        maxWidth: 660,
        maxHeight: 100,
        width: 660,
        height: 100,
        title: 'Play Call',
        modal: false,
        close: function(){ASPlayer_Clear();},
        open: function () {
            $(this).parent().appendTo();
        }
    });
     try {
            ASPlayer_Clear();
            var row = $("#EvaList").getRowData($(this).attr("rowid"));
            var ASPlayer = document.getElementById("ASPlayer");
            if (IsAlreadyAdded(row["idx"]) == false) {
                ASPlayer.AddToPlayList(row["idx"], row["RecorderIPIDX"], row["PlayServerPortIDX"], "-", 0, row["StartDayIDX"], GetDurationMili((row["CallTimeIDX"]).substring(11, 19)), row["AudioFileNameIDX"], row["VideoFileNameIDX"], row["CallDurationIDX"], row["ExtIDX"], row["CallTimeIDX"], 1, 1, "");
            }
            setTimeout("DBCLICKeVENT('" + row["idx"] + "')", 200);
        } catch (e) {
        }
});