﻿<%@ PAGE EnableSessionState="True" title="" language="C#" masterpagefile="~/Site.master" autoeventwireup="true"
    inherits="ASLReports.CampaignList" codebehind="CampaignList.aspx.cs" %>

<ASP:CONTENT id="Content2" contentplaceholderid="MainContent" runat="Server">
    <script src="include/CampaignList.js" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/treeFrame.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-1.8.18.custom.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-timepicker-addon.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/jquery/jquery-ui-sliderAccess.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/date.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveClientUrl("~/Scripts/popup.js") %>" type="text/javascript"></script>
    <script src="include/grid.locale-en.js" type="text/javascript"></script>
    <script src="include/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="include/json2-min.js" type="text/javascript"></script>
    <style type="text/css">
        .myAltRowClass { background-color: #F8F8F8; background-image: none; }
    </style>
    <script language="javascript">
        $(document).ready(function () 
        {
//            HideAutoLogin();
//            document.getElementById("IDtblMaster").style.width = $(window).width() - 4 + 'px';
//            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
//            document.getElementById("tdMaster").style.height = $("#IDtblMaster").height() + 'px';
            //            $("#tdGrid").height($("#tdMaster").height() - 30 + 'px');
            HideAutoLogin();
            document.getElementById("IDtblMaster").style.width = $(window).width() - 4 + 'px';
            document.getElementById("IDtblMaster").style.height = $(window).height() - 100 + 'px';
            //document.getElementById("IDtrParent").style.height = $("#IDtblMaster").height() + 'px';
            $("#tdLeftPanel").height($("#IDtblMaster").height() - 10 + 'px');
            $("#tdGrid").height($("#IDtblMaster").height() - 30 + 'px');
            dataBindToGrid();
        });

        function DelQuestion(theThis, Qid) 
        {
            if ($("#QAFormID").val() == 0) {
                alert("Please save QA Evaluation form before saving question.");
                $("#QAFormID").focus();
                return false;
            }
         
            var params = new Object();
            params.QuestionID = Qid;
            params.surveyID = $("#QAFormID").val();

            $.ajax({
                url: "PageFunctions.aspx/DeleteEvaluationQuestion",
                data: JSON.stringify(params),  // For empty input data use "{}",
                dataType: "json",
                type: "POST",
                serializeGridData: function (postData) {
                    return JSON.stringify(postData);
                },
                contentType: "application/json; charset=utf-8",
                success: function (result) {
                    if ($.isNumeric(result.d) && result.d > 0) {
                        $(theThis).closest('tr').remove();
                        return false;
                    } else {
                        alert("Unable to delete question from databse.");
                    }
                },
                error: function (result) { alert(result.statusText); }
            });
            return true;
        }
        
        function ValidateNumber(e) {
            if (e.which < 46 || e.which > 59) {
                e.preventDefault();
            }
        }
    </script>
    <div id="blocker" style="display:none">
        <div style="width: 80px; height: 60px;padding-left: 15px; padding-top: 15px; background-color:#ECE9D8; border:1px solid #000000;filter: alpha(opacity = 90);opacity:.90;"><img src="Images/Loader.gif" alt="Please wait while Loading..."/><br/><span style="font-family:Calibri;font-size:14pt;">Loading...</span></div>
    </div>
    <table class="main" cellpadding="0" cellspacing="0" border="0" id="table1" style="height: 100%; width: 100%;background-color: #F8F8F8;">
        <tr id="IDtrParent">
            <td class="leftCol" valign="top" id="tdLeftPanel" style="background-color:#ffffff; height:100%; width: 250px;">
                <div id="leftSideMenu" style="background: #FFF; width: 100%;">
                    <ul class="MenuStyle"><li>Evaluation Menu</li></ul>
                    <ul>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evaluation.aspx">Calls under Evaluation</a><br /></li>                                  
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Evalcompleted.aspx">Closed Evaluations</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="CampaignList.aspx" style="color:#800000;">QA Campaign List</a><br /></li>
                        <li style="background: url(images/tit.gif) bottom repeat-x;padding-left: 0px;"><img src="./images/Side-Menu-Arrow.png"/>&nbsp;&nbsp;<a href="Campaign.aspx">New QA Campaign</a><br /></li>
                    </ul>
                </div>
            </td>
            <td valign="top">
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr><td class="g-Question">QA Campaign List</td></tr>
                    <tr>
                        <td valign="top" id="tdGrid" style="width:100px; height:100px;">
                            <table id="QAList" class="scroll" cellpadding="0" cellspacing="0">
                            </table>
                            <div id="pager" class="scroll" style="text-align: center;"></div>                            
                        </td>
                    </tr>
                </table>
            </td>            
        </tr>
    </table> 
    <ASP:HIDDENFIELD runat="server" id="txtRowCount"></ASP:HIDDENFIELD>
    <div id="EvaluationFormDiv" class="SurveyMainheader" style="display: none;"></div>
</ASP:CONTENT>